function checkBody() {
  var body = document.body.innerHTML;
  var head = document.head.innerHTML;
  var response = "";
  if (body.indexOf("a.insiteful.co/dist/compile.min.js") !== -1 || head.indexOf("a.insiteful.co/dist/compile.min.js") !== -1) {
    response += "Success! The Insiteful tracking code was found on your website.";
  } else {
    response += "Sorry, the Insiteful tracking code was NOT found on your website.";
  }
  alert(response);
}

// Add event listener for the check button
document.getElementById("checkButton").addEventListener("click", function() {
  // Get the string to check for
  // var stringToCheck = document.getElementById("stringInput").value;
  // Query the active tab for the body of the page
  chrome.tabs.query({
    active: true,
    currentWindow: true
  }, function(tabs) {
    chrome.scripting.executeScript({
      target: {
        tabId: tabs[0].id
      },
      function: checkBody
      // args: [stringToCheck]
    });
  });
});

function checkBody2() {
  var body = document.body.innerHTML;
  var head = document.head.innerHTML;
  var response = "";
  if (body.indexOf("a.insiteful.co/dist/track-all") !== -1 || head.indexOf("a.insiteful.co/dist/track-all") !== -1) {
    response += "Success! Insiteful is set up properly to track all form inputs.";
  } else {
    response += "Sorry, the Insiteful 'track-all.min.js' code was NOT found on your website.";
  }
  alert(response);
}

// Add event listener for the check button
document.getElementById("checkButton2").addEventListener("click", function() {
  // Get the string to check for
  // var stringToCheck = document.getElementById("stringInput").value;
  // Query the active tab for the body of the page
  chrome.tabs.query({
    active: true,
    currentWindow: true
  }, function(tabs) {
    chrome.scripting.executeScript({
      target: {
        tabId: tabs[0].id
      },
      function: checkBody2
      // args: [stringToCheck]
    });
  });
});